Skip to main content
GET
/
api
/
v1
/
kyc
/
vnin
Lookup vNIN
curl --request GET \
  --url https://api.dojah.io/api/v1/kyc/vnin \
  --header 'AppId: <appid>' \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.dojah.io/api/v1/kyc/vnin"

headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};

fetch('https://api.dojah.io/api/v1/kyc/vnin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "entity": {
     "vnin": "AB012345678910YZ",
     "firstname": "John",
     "middlename": "Doe",
     "surname": "Musa",
     "user_id": "WXABCD-1234",
     "gender": "M",
     "mobile": "08012345678",
     "dateOfBirth": "01-01-1982",
     "photo": "/9j/4AAQSkZJRgABAgAAAQABAAD/2wBDAAgGBgc..."
  }

}
{
  "error": "Invalid request parameters"
}
{
  "error": "App Couldn't be Validated"
}
AppId
string
required
Application ID from dashboard

Query parameter

vnin
string
required
Vitrual National Identification Number

RESPONSES

200
json
json
400
Object
401
Object
{
  "entity": {
     "vnin": "AB012345678910YZ",
     "firstname": "John",
     "middlename": "Doe",
     "surname": "Musa",
     "user_id": "WXABCD-1234",
     "gender": "M",
     "mobile": "08012345678",
     "dateOfBirth": "01-01-1982",
     "photo": "/9j/4AAQSkZJRgABAgAAAQABAAD/2wBDAAgGBgc..."
  }

}
{
  "error": "Invalid request parameters"
}
{
  "error": "App Couldn't be Validated"
}